# Class Signage#getTileInfo

Signage

- Defined in: signage.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Signage#getTileInfo(successCallback, errorCallback) Gets current tile mode.

## Class Detail

Signage#getTileInfo(successCallback, errorCallback)

Gets current tile mode.

    function getTileInfo() {

       var successCb = function (cbObject){

         var enabled = cbObject.enabled;
         var row = cbObject.row;
         var column = cbObject.column;
         var tileId = cbObject.tileId;
         var naturalMode = cbObject.naturalMode;

         console.log("enable: " + enabled);
         console.log("row: " + row);
         console.log("column: " + column);
         console.log("tileId: " + tileId);
         console.log("naturalMode: " + naturalMode);
       };

       var failureCb = function(cbObject){
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;

         console.log( " Error Code [" + errorCode + "]: " + errorText);
       };

       var signage = new Signage();
       signage.getTileInfo(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.0
Returns:

  After the method is successfully executed, successCallback is called with following data.

  Property | Type | Description
  --- | --- | ---
  enabled | Boolean | Enable/disable Tile Mode
  row | Number | Number of rows (1~15)
  column | Number | Number of columns (1~15)
  tileId | Number | The ID for this monitor. It will start to count from 1, left to right and top to bottom (1~Rows x Columns)
  naturalMode | Boolean | Enable/disable Natural mode, which will adjust image based on the bezel size

  If an error occurs, errorCallback is called with errorCode and errorText.